Summary: Framebuffer utilities for changing video modes.
Name: fbset
Version: 2.1
Release: 13mdk
License: GPL
Group: System/Kernel and hardware
URL: http://home.tvd.be/cr26864/Linux/fbdev
Source: http://home.tvd.be/cr26864/Linux/fbdev/fbset-%{version}.tar.bz2
Patch: fbset-2.0-pre-19981028.patch.bz2
Patch2: fbset-2.1-mdkconf.patch.bz2
BuildRequires:	bison flex
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
fbset is a utility for querying and changing video modes of fbcon consoles.

%prep
%setup -q
%patch -p1
%patch2 -p1 -b .mdkconf

perl -pi -e 's|geometry 10224 768 10224 768 8|geometry 1024 768 1024 768 8|' etc/fb.modes.ATI
perl -pi -e 's|geometry 1024 1024 1024 1024 8|geometry 1280 1024 1280 1024 8|' etc/fb.modes.ATI

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
#make install PREFIX=$RPM_BUILD_ROOT
install %{name} -D $RPM_BUILD_ROOT%{_sbindir}/%{name}
install %{name}.8 -D $RPM_BUILD_ROOT%{_mandir}/man8/%{name}.8
install fb.modes.5 -D $RPM_BUILD_ROOT%{_mandir}/man5/fb.modes

## It's a useable default not perfect but ..
#%ifarch sparc sparc64
install etc/fb.modes.ATI -D $RPM_BUILD_ROOT%{_sysconfdir}/fb.modes
#%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#/dev/*
%{_sbindir}/%{name}
%{_mandir}/man[58]/*
#%ifarch sparc sparc64
%config(noreplace) %{_sysconfdir}/fb.modes
#%endif

%changelog
* Tue Oct  5 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.1-13mdk
- fix deps for build

* Sat Jul 12 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.1-12mdk
- rebuild
- macroize

* Wed Nov 07 2001 Franois Pons <fpons@mandrakesoft.com> 2.1-11mdk
- update url tag.
- fix source tag to moved web site.

* Tue Sep 11 2001 Stefan van der Eijk <stefan@eijk.nu> 2.1-10mdk
- BuildRequires: bison flex

* Wed Sep 05 2001 Franois Pons <fpons@mandrakesoft.com> 2.1-9mdk
- build release.

* Fri Jun 8 2001 Stew Benedict <sbenedict@mandrakesoft.com> 2.1-8mdk
- fix typos in fb.modes.ATI - thx Ian White

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1-7mdk
- macros, BM, _spechelper_ (jerome scks)
- don't blow away old config when updating

* Sun Apr 02 2000 Jerome Martin <jerome@mandrakesoft.com> 2.1-6mdk
- fix rpm group and spec-helper issues

* Wed Mar  8 2000 Pixel <pixel@mandrakesoft.com> 2.1-5mdk
- remove the nasty %%post creating devices

* Fri Nov 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- make install by hand
- fondle the files section (use ATI for example fb.modes)

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 2.1
- handle RPM_OPT_FLAGS

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- include fb devs too (#1515)
- update to 19990118 version.

* Thu Nov  5 1998 Jeff Johnson <jbj@redhat.com>
- import from ultrapenguin 1.1.
- upgrade to 19981104.

* Thu Oct 29 1998 Jakub Jelinek <jj@ultra.linux.cz>
- new package
